ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

PrelRules

Synopsis

- primOpRules :: Name -> PrimOp -> Maybe CoreRule
- builtinRules :: [CoreRule]
- caseRules :: DynFlags -> CoreExpr -> Maybe (CoreExpr, Integer -> Integer)

# Documentation

primOpRules :: Name -> PrimOp -> Maybe CoreRule #

builtinRules :: [CoreRule] #

caseRules :: DynFlags -> CoreExpr -> Maybe (CoreExpr, Integer -> Integer) #

Match the scrutinee of a case and potentially return a new scrutinee and a function to apply to each literal alternative.